@font-face {
    font-family: "heiye";
    src: url("../fonts/heiye.woff2") format("woff2");
    font-display: swap;
}

html {
    overscroll-behavior: none;
}

body {
    margin: 0;
    font-family: "heiye", sans-serif;
    line-height: 1.5;
    color: #fafafa;
}

.background {
    position: fixed;
    inset: 0;
    z-index: -1;
    background-color: #000;
}

.stars-layer {
    position: absolute;
    inset: 0;
    height: calc(100dvh + 5000px);
}

.stars-layer-1 {
    background-image: url(../img/stars-layer-1.webp);
    opacity: 0.1;
    animation: stars 300s linear infinite;
}

.stars-layer-2 {
    background-image: url(../img/stars-layer-2.webp);
    opacity: 0.2;
    animation: stars 150s linear infinite;
}

.gradient {
    height: 100dvh;
    background: linear-gradient(135deg, transparent, hsla(10, 15%, 95%, 0.2));
}

.hero {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100dvh;
    text-align: center;
}

.hero-title {
    margin: 0;
    font-size: 2.5rem;
    letter-spacing: 2px;
}

.footer {
    position: fixed;
    inset: auto 0 1rem;
    text-align: center;
    font-size: 0.875rem;
}

.footer-text {
    margin: 0;
}

@keyframes stars {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(-5000px);
    }
}
